<template>
    <lightning-card 
    variant="Narrow"
    >
    <div class="slds-text-heading_small slds-card_boundary" style="margin-bottom: -2px;">
        <lightning-icon icon-name="custom:custom60" style="float: left;margin-right: 10px;"></lightning-icon>
        <h1 slot="title" style="font-weight:800;margin-top:5px">
<!--            <a style="color:black !important; font-weight:400 !important;" href="/related/HealthCloudGA__RelatedPeople__r/view">Guarantors</a>-->
            Member Plans
        </h1> 

        <div slot="actions" style="float:right;margin-top: -25px;font-size: 13px;">
            <!-- <lightning-button label="New" slot="actions" onclick={handleCreate}></lightning-button> -->
        </div>
    </div>
    <template if:false={selectNewCoverage} class="slds box">
        <div style="width: auto;border:1px solid lightgray;border-top:0px !important;">
            <template if:true={data}>
                    <lightning-datatable 
                        data={coverages} 
                        columns={columns} 
                        key-field="id"
                        hide-checkbox-column="true"
                        onrowaction={handleRowActions}></lightning-datatable>
                </template>
        </div>
        <!-- Detail view modal -->
        <template if:true={bShowModal}>
            <section role="dialog" tabindex="-1"
                    aria-labelledby="modal-heading-01"
                    aria-modal="true"
                    aria-describedby="modal-content-id-1"
                    class="slds-modal slds-fade-in-open">
            <div class="slds-modal__container">
                <!-- modal header -->
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close slds-button_icon-inverse" title="Close" onclick={closeModal}>
                        <lightning-icon icon-name="utility:close" alternative-text="close" variant="inverse" size="small" ></lightning-icon>
                    </button>
                    
                    <h2 id="modal-heading-01" class="slds-text-heading_medium slds-hyphenate" if:false={isEditForm}>Record Detail</h2>
                </header>
                <!-- modal body -->
                <div class="slds-modal__content slds-p-around_medium" id="modal-content-id-1" if:false={isEditForm}>
                    <dl class="slds-list_horizontal slds-wrap">
                        <dt class="slds-item_label slds-truncate" title="EpicId">EpicId:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.epicId__c}</dd>
                        <dt class="slds-item_label slds-truncate" title="Plan">Plan:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.Duke_Plan_Name__c}</dd>
                        <dt class="slds-item_label slds-truncate" title="Payor">Payor:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.Duke_Payer_Name__c}</dd>
                        <dt class="slds-item_label slds-truncate" title="Group Number">Group Number:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.GroupNumber}</dd>
                        <dt class="slds-item_label slds-truncate" title="SubscriberId">Subscriber ID:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.Subscriber_ID__c}</dd>
                        <dt class="slds-item_label slds-truncate" title="EffectiveFrom">Effective From:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.EffectiveFrom}</dd>
                        <dt class="slds-item_label slds-truncate" title="Effective To">Effective To:</dt>
                        <dd class="slds-item_detail slds-truncate">{record.EffectiveTo}</dd>
                    </dl>
                </div>

                <!-- modal footer start-->
                <footer class="slds-modal__footer" if:false={isEditForm}>
                    <a href={recordUrl} class="slds-button slds-button_outline-brand" style="float:left;">Navigate to Record</a>
                    <lightning-button variant="brand"
                                    label="Close"
                                    title="Close"
                                    onclick={closeModal}></lightning-button>
                </footer>
            </div>
            </section>
            <div class="slds-backdrop slds-backdrop_open"></div>
        </template>

    </template>
    </lightning-card>   
</template>